SD-WAN Sites

Endpoint Description
https://{gateway_url}/dataservice/device List Catalyst SD-WAN Sites

For information about generating your SD-WAN Manager API Gateway URL and SD-WAN Manager Cross-Site Request Forgery (CSRF) access token, see SASE Authorization.

List Catalyst SD-WAN Sites

List the devices and sites that are associated with an SD-WAN Configuration Group and Policy Group. You can use the system-ip to identify the device or site.

GET https://{gateway_url}/dataservice/device/

Prerequisites

  • gateway_url: The URL of the SD-WAN Manager API gateway.
  • apikey: The API key for the SD-WAN Manager organization.
  • xsrf_token: The SD-WAN Manager CSRF access token.

Request

curl --request GET \
  --url https://{gateway_url}/dataservice/device \
  --header 'Authorization: Bearer {apikey}' \
  --header 'Content-Type: application/json' \
  --header 'X-xsrf-token: {xsrf_token}' 

Response

{
  "header": {
    "generatedOn": 1774475018819,
    "viewKeys": {
      "uniqueKey": [
        "system-ip"
      ],
      "preferenceKey": "grid-DeviceMultitenant"
    },
    "columns": [
      {
        "title": "client.view.clientViewMtDevice.hostname",
        "property": "host-name",
        "display": "iconAndText",
        "iconProperty": "device-type",
        "hideable": false,
        "icon": [
          {
            "key": "vmanage",
            "value": "images/vmanage_table.png"
          },
          {
            "key": "vedge",
            "value": "images/vedge_table.png"
          },
          {
            "key": "vedge-vbond",
            "value": "images/vedge-vbond_table.png"
          },
          {
            "key": "vsmart",
            "value": "images/vsmart_table.png"
          },
          {
            "key": "vbond",
            "value": "images/vbond_table.png"
          }
        ],
        "width": 150,
        "dataType": "string"
      },
      {
        "title": "client.view.clientViewMtDevice.state",
        "property": "state",
        "display": "iconAndToolTip",
        "iconProperty": "state",
        "toolTipProperty": "state_description",
        "defaultPropertyKey": "reachability",
        "defaultPropertyValue": "reachable",
        "icon": [
          {
            "key": "green",
            "value": "images/device_state_green.png"
          },
          {
            "key": "red",
            "value": "images/device_state_red.png"
          },
          {
            "key": "yellow",
            "value": "images/device_state_yellow.png"
          },
          {
            "key": "default",
            "value": "images/device_state_other.png"
          }
        ],
        "width": 20,
        "dataType": "string"
      },
      {
        "title": "client.view.clientViewMtDevice.systemIp",
        "property": "local-system-ip",
        "width": 110,
        "dataType": "ipv4"
      },
      {
        "title": "client.view.clientViewMtDevice.vmanageSystemI",
        "property": "system-ip",
        "visible": false,
        "width": 110,
        "dataType": "ipv4"
      },
      {
        "title": "view.certificate.clientViewVedgeList.tags",
        "property": "tags",
        "hideable": true,
        "dataType": "string"
      },
      {
        "title": "client.view.clientViewMtDevice.reachability",
        "property": "reachability",
        "display": "multiColumns",
        "color": [
          {
            "key": "reachable",
            "value": "616161",
            "property": "reachability"
          },
          {
            "key": "unreachable",
            "value": "ef5350",
            "property": "reachability"
          },
          {
            "key": "auth-failed",
            "value": "ffb300",
            "property": "reachability"
          },
          {
            "key": "staging",
            "value": "ffb300",
            "property": "validity"
          }
        ],
        "width": 150,
        "minWidth": 150,
        "dataType": "string"
      },
      {
        "title": "client.view.clientViewMtDevice.siteId",
        "property": "site-id",
        "width": 70,
        "dataType": "numberStr"
      },
      {
        "title": "client.view.clientViewMtDevice.deviceModel",
        "property": "device-model",
        "display": "multiColumns",
        "width": 100,
        "dataType": "deviceModel"
      },
      {
        "title": "client.view.clientViewMtDevice.Bfd",
        "property": "bfdSessions",
        "width": 75,
        "minWidth": 65,
        "dataType": "numberStr"
      },
      {
        "title": "client.view.clientViewMtDevice.control",
        "property": "controlConnections",
        "width": 75,
        "minWidth": 65,
        "dataType": "numberStr"
      },
      {
        "title": "client.view.clientViewMtDevice.version",
        "property": "version",
        "width": 150,
        "dataType": "string"
      },
      {
        "title": "client.view.clientViewMtDevice.upSince",
        "property": "uptime-date",
        "displayFormat": "DD MMM YYYY h:mm:ss A z",
        "inputFormat": "unix-time",
        "width": 200,
        "dataType": "date"
      },
      {
        "title": "client.view.clientViewMtDevice.chassisNumber",
        "property": "uuid",
        "width": 220,
        "dataType": "string"
      },
      {
        "title": "client.view.clientViewMtDevice.deviceGroups",
        "property": "device-groups",
        "width": 100,
        "dataType": "array"
      },
      {
        "title": "Connected Manager",
        "property": "connectedVManages",
        "visible": true,
        "width": 500,
        "dataType": "array"
      }
    ],
    "fields": [
      {
        "property": "host-name",
        "dataType": "string",
        "display": "iconAndText"
      },
      {
        "property": "state",
        "dataType": "string",
        "display": "iconAndToolTip"
      },
      {
        "property": "local-system-ip",
        "dataType": "ipv4"
      },
      {
        "property": "system-ip",
        "dataType": "ipv4"
      },
      {
        "property": "tags",
        "dataType": "string"
      },
      {
        "property": "reachability",
        "dataType": "string",
        "display": "multiColumns"
      },
      {
        "property": "site-id",
        "dataType": "numberStr"
      },
      {
        "property": "device-model",
        "dataType": "deviceModel",
        "display": "multiColumns"
      },
      {
        "property": "bfdSessions",
        "dataType": "numberStr"
      },
      {
        "property": "controlConnections",
        "dataType": "numberStr"
      },
      {
        "property": "version",
        "dataType": "string"
      },
      {
        "property": "number-vsmart-peers",
        "dataType": "number"
      },
      {
        "property": "uptime-date",
        "dataType": "date"
      },
      {
        "property": "uuid",
        "dataType": "string"
      },
      {
        "property": "board-serial",
        "dataType": "string"
      },
      {
        "property": "device-groups",
        "dataType": "array"
      },
      {
        "property": "connectedVManages",
        "dataType": "array"
      },
      {
        "property": "lastupdated",
        "dataType": "date"
      }
    ]
  },
  "data": [
    {
      "deviceId": "169.254.10.24",
      "system-ip": "169.254.10.24",
      "host-name": "R-SJC1",
      "reachability": "reachable",
      "status": "normal",
      "personality": "vedge",
      "device-type": "vedge",
      "timezone": "UTC +0000",
      "device-groups": [
        "No groups"
      ],
      "lastupdated": 1774441319177,
      "bfdSessionsUp": 2,
      "domain-id": "1",
      "board-serial": "6B09A3A738357DBF24F5A9184CF0B6B3B8AFA2AF",
      "certificate-validity": "Valid",
      "max-controllers": "0",
      "uuid": "C8K-A854E2C4-8CCC-D9B0-B40C-DAF9A684C862",
      "bfdSessions": "2",
      "controlConnections": "3",
      "device-model": "vedge-C8000V",
      "version": "17.18.01a.0.182",
      "connectedVManages": [
        "169.254.10.3"
      ],
      "site-id": "2",
      "ompPeers": "2",
      "latitude": "37.666684",
      "longitude": "-122.777023",
      "isDeviceGeoData": false,
      "platform": "x86_64",
      "uptime-date": 1771418476168,
      "statusOrder": 4,
      "validity": "valid",
      "state": "green",
      "state_description": "All daemons up",
      "model_sku": "None",
      "local-system-ip": "10.255.0.2",
      "total_cpu_count": "1",
      "linux_cpu_count": "1",
      "testbed_mode": false,
      "layoutLevel": 4,
      "site-name": "SJC24"
    }
  ]
}